/**
 * Get the keys of the Metadata indexes map
 * @remarks This function will return a flat string array of all the keys in the "metadata indexes" map
 * @param data - the map data to have the keys extracted from
 * @returns the keys of the map
 * @public
 */
export declare function getAvailableIndexes(data: Map<string, [string]>): string[];
/**
 * Get the values of the Metadata indexes map
 * @remarks This function will return a flat string array of all the values in the "metadata indexes" map
 * @param data - the map data to have the values extracted from
 * @returns the values of the map
 * @public
 */
export declare function getAvailableIndexFields(data: Map<string, [string]>): string[];
//# sourceMappingURL=map.d.ts.map